View Issue Details

IDProjectCategoryView StatusLast Update
0000538Cinelerra-GG[All Projects] Featurepublic2021-01-15 21:29
Reportersge Assigned ToPhyllisSmith  
PrioritynoneSeverityfeatureReproducibilityN/A
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000538: Cinelerra manual in HTML form
DescriptionHere I suggest the following: we can, after minimal adaptation, generate segmented hypertext Cinelerra manual in the HTML form via the latex2html translator from the same LaTeX sources from which the PDF manual is generated.

You can quickly look on the result on my webserver at this link:
http://nmr.nioch.nsc.ru/CinelerraGG_Manual/

or download the whole archived HTML manual to look locally (about 50 Mb):
http://nmr.nioch.nsc.ru/CinelerraGG_Manual/CinelerraGG_Manual.tar.gz

The patch against the manual sources from git of yesterday is attached here:
CinelerraGG_Manual.diff.gz
Additional InformationHow to prepare manual for building both PDF and HTML versions at once.

1. Install latex2html translator as follows:

1a) Check your version of perl: perl -v

Perl version 5.18 has bug which prevents latex2html from functioning correctly. The perl version must be either higher or lower, but not equal to 5.18. For example, both perl-5.10 and perl-5.22 are correct.

1b) The stock latex2html distribution will not (yet) do the job. It has to be patched. I have sent my patch to latex2html developers, perhaps they will implement it in their coming release, but just now it is not yet there.

Download latex2html-2020.2 either from github:
https://github.com/latex2html/latex2html/

or from my webserver (it is an exact copy of the original one):
http://nmr.nioch.nsc.ru/latex2html/latex2html-2020.2.tar.gz

Download latex2html patch from my webserver which is necessary for successful translation of Cinelerra manual:
http://nmr.nioch.nsc.ru/latex2html/latex2html-2020.2.diff.gz

The patch must be applied as usually:
zcat latex2html-2020.2.diff.gz | patch -p1

Actually this BT is much more about latex2html development than Cinelerra :-)

1c) Install the necessary tools (if not yet there), most important netpbm.

1d) Install latex2html from the patched sources (example):

zcat latex2html-2020.2.diff.gz | patch -p1
./configure --prefix=/usr/local/lib/latex2html
make
make check
make install
ln -s /usr/local/lib/latex2html/bin/latex2html /usr/local/bin/latex2html

The detailed installation instructions are in the latex2html source archive.

2. Prepare the Cinelerra manual itself:

2a) zcat CinelerraGG_Manual.diff.gz | patch -p1

In addition to few changes, there will be created several new files:
html.sty, translate_manual, .latex2html-init, and rename-pngs.

2b) Execute the shell script rename-pngs

There are several pictures in the directory 'images' with filenames which end with '.png'. But actually they are JPEG images, not PNG images. Pdflatex can correctly process such images despite incorrect extension, but latex2html has problems with them.

rename-pngs renames these image files into '.jpg', this should be done once, then the renamed files rechecked into the manual's git.

2c) Now we are ready to translate the manual.

html.sty is a package distributed as part of latex2html. I have put it into the manual top directory so that it could be found by latex independently from installation paths.

.latex2html-init is an important file with latex2html settings. It can be adapted to some extent. For exampe, you can configure footer of generated HTML pages, title, etc. At the very end of .latex2html-init there are definitions of some latex commands to be ignored by the translator, don't remove them.

translate_manual is a shell script which executes the necessary sequence of commands to produce PDF manual, and then HTML manual.

Perhaps the files html.sty, translate_manual, and .latex2html-init are also subject to checking into git.

The adaptations of the original Cinelerra manual are really minimal. Mostly they are '.png' changed to '.jpg' in several files,
and several corrected typos. All the changes in packages and settings are made so that pdflatex simply will not see them, they all will be interpreted by latex2html only.

Later any additions to the latex sources of the manual can be immediately actualized in HTML without any extra actions, except running translate_manual.
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2021-01-15 21:29

manager   ~0004518

@sge
HTML version on website is now updated. I tested the nomencl-nobold.perl but used the original instead as it looked better. Andrea and I fixed the problem with the duplicate footnote numbers by moving them away from the section/subsection titles. So now it looks better. I have no open issues here so I "think" we are now only waiting for Dan to release all of the SGE improvements and additions to latex2html.
sge

sge

2021-01-13 14:07

reporter   ~0004510

@PhyllisSmith
Phyllis, take another version from this attachment, nomencl-nobold.perl, rename it to nomencl.perl and place into latex2html/styles - you should get Glossary formatted with descriptions starting from newline, but without items automatically forced to bold font. So, in your case they should come out regular blue.

nomencl-nobold.perl (4,434 bytes)
PhyllisSmith

PhyllisSmith

2021-01-13 05:13

manager   ~0004509

@sge
It worked flawlessly. I did not update the HTML manual on the website yet and I do want to keep the blue instead of the bold for the entries as long as no one objects -- the bold is just too bright.
sge

sge

2021-01-12 15:51

reporter   ~0004508

@PhyllisSmith
In attachment you find nomencl.perl, put this file in the /styles/ subdir of your latex2html installation replacing the older version of nomencl.perl. The true reinstallation or reconfiguration of latex2html is not necessary, replacing this single file is sufficient.
Then translated manual will come out with Glossary in the 'new' style.

nomencl.perl (4,466 bytes)
PhyllisSmith

PhyllisSmith

2021-01-11 18:49

manager   ~0004506

@sge
@Andrea_Paz
"Which formatting style is better?" -- in my opinion, Glossary-new is better and a lot easier to read because all of the descriptions start in the same spot on a new line. I agree, Awesome.
Andrea_Paz

Andrea_Paz

2021-01-11 16:56

manager   ~0004505

Awesome; any of your additions are great!
sge

sge

2021-01-11 15:48

reporter   ~0004504

@PhyllisSmith
@Andrea_Paz
Phyllis, Andrea, here is a small archive attached, with Glossary-old.html (that, which was generated before changing textbf to blue colored text), Glossary-new.html (a variant formatted so that each item's description starts on a new line, like for Index entries and description environments), and CinelerraGG_Manual.css which is needed as its styles are requested by both html files.
Please unpack these somewhere and compare the look of Glossary-new with Glossary-old (this time ignoring color). Which formatting style is better? Either we leave Glossary formatting as it is, or change it (as in '-new'), in the latter case I'll ask Dan to update the nomencl processing in the latex2html's git repository.

glossaries.tar.gz (26,662 bytes)
Andrea_Paz

Andrea_Paz

2021-01-11 09:27

manager   ~0004503

Of course, the glossary with the blue entries is fine; it's very nice!
PhyllisSmith

PhyllisSmith

2021-01-10 22:46

manager   ~0004502

@sge
I understood that it was a browser problem and not the LaTeX font but I wanted to change it to blue anyway. I have updated the HTML and PDF manuals on the website so Andrea can check the Glossary for HTML and hopefully says that the change is acceptable to him too.
sge

sge

2021-01-10 17:18

reporter   ~0004496

@PhyllisSmith
I meant the browser's font, not the LaTeX font. For example, my browser (Firefox, for example) on my OS (Slackware-14.1) selects some other font to reflect textbf-like properties, this font has a regular depth, and the indentation by me looks normally.
You can test the Glossary webpage with some other browser, and the wrong indentation will quite likely disappear.
PhyllisSmith

PhyllisSmith

2021-01-09 23:20

manager   ~0004494

Last edited: 2021-01-10 22:43

View 2 revisions

@sge
Thanks for explanation of textbf issue. I switched to color CinBlueText after not finding a way to use my own definition of textBF for a different font. I think I like blue better anyway so I checked it into GIT. Have not updated the HTML and PDF manuals on the website yet though. Will leave 538/540 as expected.

sge

sge

2021-01-08 17:31

reporter   ~0004491

@PhyllisSmith
I understand now the reason for strange indentations in Glossary. It is due to strange parameters of the bold font. You can see that each second line of a multiline Glossary description is indented exactly as the first line. It is controlled not by latex2html, but by the browser. Perhaps the depth of glyphs in this font is slightly bigger, and it leads to such indentation. You can notice that the description preceding to 'Aliasing' is exactly one line long. The word 'Aliasing' occupies the second line, therefore is indented equally. The second line under 'Aliasing' is indented yet more, but the third line has a normal indentation again.
Browser is responsible for such a formatting. Perhaps with other browser, or with other fontset it will look differently.
In principle, it is possible to modify Glossary processing in latex2html to yield pages formatted in a way similar to the description list in https://cinelerra-gg.org/download/CinelerraGG_Manual/Track_Popup_Menu.html. Do you mean that such Glossary, with new line after each item, will look better?
I don't want BT540 being closed yet. I am planning to experiment with keystrokes a bit more, to get some kind of a context help in CinGG. So let's leave it also opened. I suspended my playing with it because it depends on the HTML manual itself, and stabilizing this form of the manual was of a higher priority.
PhyllisSmith

PhyllisSmith

2021-01-07 18:13

manager   ~0004490

It is just me!

must_be_me.png (232,965 bytes)
must_be_me.png (232,965 bytes)
PhyllisSmith

PhyllisSmith

2021-01-07 18:11

manager   ~0004489

Last edited: 2021-01-07 18:12

View 2 revisions

@sge
I will update translate_manual and check it in.
Attached is what Glossary looks like here from website and local file for me, but I use Fedora O/S and am not very good at setup so do not be concerned about it.
I need to delete the .jpg files from the website CinelerraGG_Manual directory too and will check on render.jpg in GIT and will delete it.
Will wait to close this issue (and 540?) until latex2html gets updated -- very exciting that Dan will incorporate these great improvements !

(Oops, see next note for attachment)

sge

sge

2021-01-07 17:43

reporter   ~0004488

@PhyllisSmith
Thanks also from me. Good that the project part, touched by the introduction of latex2html in the build process, has stabilized and became successful.
Please actualize the translation options you are using, in the translate_manual script, for later reference.

I did not understand the nature of the problem you report for Glossary (under "Aliasing"). In the browsers I have tested Glossary looks OK, on the website as well as in my local directory. I tested it with Firefox, Chrome, Konqueror, Safari.
By the way, the \nomenclature command which is used to populate Glossary allows LaTeX commands both in the description part and in the item part. It is quite possible, when desired, to put a \label in the \nomenclature item and to put a \hyperref to it in that place of the manual where such item is mentioned. Then it will appear as the corresponding link to the description in the HTML manual. And it is allowed to place \nomenclature definitions anywhere in the document, similarly to Index commands.

I have found the file "images/render.jpg", although render.png also exists. Perhaps, render.jpg has to be removed from git.

I am communicating with Dan Gildea, the current maintainer of latex2html, on the actual form of the added latex2html options. Depending on the actual option names, as they will be checked in the latex2html's git, there may come one more subtle change to the translation script - later, after the next latex2html release appears. Perhaps don't close this issue yet.
Sam

Sam

2021-01-07 01:59

administrator   ~0004485

@PhyllisSmith
Glad to hear there was a solution for that after all. It will be easier for search engines to index them better and users will be able to find the content they are looking for faster. Thanks for the effort.
PhyllisSmith

PhyllisSmith

2021-01-07 00:25

manager   ~0004484

@sge
Thanks for the changes and good/clear instructions.
- I have been using latex2html-2020.2 so used that again and applied the patch latex2html-2020.2.diff2.gz .
- I had a hard time making a decision of which I liked best -- cut_ref_name or cut_ref_num? but ended up with cutting the name.
- Also changed .latex2html-init date from 2020 to 2021.
- Checked into GIT all of the necessary changes and updated both the HTML and PDF manuals on the website.

There is one problem in the Glossary - I am using "memoir" but tested "book" also. And the problem is sometimes it is not lined up nicely but it can just be ignored in my opinion. You can see this if you look at "Aliasing" in the HTML version Glossary on the website.

@Sam
The section names are now the long names instead of the node#.html names. I found the 3 out of 500 conflicting section names and renamed them so there are no duplicate names overwriting. These names are more helpful, although you have to remember to add the underlines between words and some words are abbreviated or cut off and capitalization matters. Using the long names results in duplicate numbers for the footnotes but they can just be ignored.
sge

sge

2021-01-03 14:24

reporter   ~0004447

@PhyllisSmith
Phyllis, I have won the glossary and references. Please reinstall latex2html in either of two alternative manners, whatever is more convenient to you:

a) You can checkout the github master branch from https://github.com/latex2html/latex2html/ and apply the patch latex2html-201224.diff.gz (the patch is attached here).

b) Or you can untar the version latex2html-2020.2 (same as I recommended earlier) but this time apply the other patch latex2html-2020.2.diff2.gz (also attached here). This patch includes all the previous features (lstlisting support, etc.) plus the Glossary features, everything in one patch.

Then install this new patched latex2html same as before.

Then apply the following patch to the CinelerraGG_Manual sources: CinelerraGG_Manual-201224.diff.gz. It is patch against the manual sources as checked out on 24.12.2020. The patch is also attached here. There are very few changes:

common/settings.tex: the conditional redefinition of \nameref goes away. I have implemented \nameref in the latex2html translator.
parts/Real-World.tex: small font made conditional. Latex2html does not like font changes outside braces. Here it could not correctly revert back to normal font after \small{\url{...}}.
translate_manual: I changed this translation example to reflect implemented translation of Glossary.

Now the answers to your comments to BT540.

1) The Glossary should now work correctly. Implemented in the latex2html translator.

2) As you mentioned, the cross references include both the number of a section (figure) and the caption. I have added to the latex2html translator two new options:

-cut_ref_num - cut the caption number from the reference text
-cut_ref_name - cut the caption name from the reference text

You can play with these options and choose, which one will look nicer. To get caption numbers only, without names (as in LaTeX), you have to use the option -cut_ref_name (look in the patched translate_manual).

latex2html-2020.2.diff2.gz (25,243 bytes)
latex2html-201224.diff.gz (5,671 bytes)
CinelerraGG_Manual-201224.diff.gz (1,456 bytes)
sge

sge

2020-12-24 16:48

reporter   ~0004436

@PhyllisSmith
Very good! Getting something really new with few efforts is always nice.
On .latex2html-init: there is a line near the beginning of the file with the assignment to the variable $ADDRESS. In the moment it sounds like 'The CINELERRA-GG Community, 2020' May be, shortly after the next edition in the manual you will have intent to change 2020 to 2021.
On translate_manual: I created it just as an example and, to some extent, as a memo how to run latex2html. You were right to adapt the translation sequence to your LaTeX environment.
On 'rm': don't forget however to perform the complete cleaning the HTML directory before running latex2html. The translator caches images and the CSS file from the preceding run. If the document was edited in the middle, new text with old images can produce a mess.

As said, I'll do some experiments with the Glossary and then inform you.
PhyllisSmith

PhyllisSmith

2020-12-23 22:54

manager   ~0004434

Last edited: 2020-12-24 02:50

View 2 revisions

@sge
Thanks for all of the previous hints. I was able to get it mostly working just fine with a little bit of modifications for Fedora. The Glossary is not a big concern to me.

I checked into GIT your original html.sty and latex2html.init which is exactly what I used. Since I did not know for sure if GIT allowed for checking in as ".latex2html", that is with the dot at the beginning, I just added it without the dot (.). I also checked in your original translate_manual because it obviously works on non-Fedora. My Fedora version difference is only due to having to continue to use "memoir" which then required that I include "-numbered_footnotes". And I create the PDF document first with 1 script, check it out, and then have a separate script to create the HTML version (and I never use "rm" in a script since I always login as root).

Both the PDF and HTML versions are updated on the website.

sge

sge

2020-12-19 06:55

reporter   ~0004431

@PhyllisSmith
On images* files: which ones will be created and which will not, depends on the actual image generation pipeline, which itself depends on the images format requested (latex2html option -image_type gif / png / svg), and on the actual algorithm employed (option -use_dvipng / -nouse_dvipng). The amount of diagnostics concerning image generation is also different as different program tools are involved in the 6 possible combinations of these options.
IMHO, most informative disgnostics is provided when the older generation algorithm is used (-nouse_dvipng), and the GIF format is requested (-image_type gif). Therefore I personally prefer always to try -nouse_dvipng -image_type gif first, eliminate problems (if any), then choose evtl other appropriate algorithm and image format. When -nouse_dvipng -image_type gif works, then other combinations usually work too.
What about the third option group, -use_pdftex / -nouse_pdftex / -use_luatex / -use_luadvi, they are important but depend on the document syntax: is the document written for plain latex (to produce DVI), or for pdflatex, or for the modern lualatex. In our case we have to do -use_pdftex.

On the question which style to use: the various styles have only subtle influence on the result appearance. Latex2html has distinct modules for several styles like book, report, article, letter, amsbook, amsart, a few others. It has no special treatment for memoir, processes it nevertheless under some default settings. This is the reason why, for example, footnotes look differently for memoir and book. I'd recommend to switch the style temporarily to book for latex2html translation - then the result in some places looks slightly more beautiful - and then revert it back to memoir. Exactly this is specified in the translate_manual script.

On diverse quirks you are describing. Latex2html tries but is not able to process *any* possible document. When some quirk is encountered, one can consider: either rewrite the problematic part of text (may be inside begin{latexonly} / begin{htmlonly}), or set the problematic command to be ignored, or try to implement the missing but highly desirable feature in latex2html. So I have implemented the listings package especially for this manual, and some particular options in other places which were used too often in the manual to edit them all.
Latex2html does not like TeX commands inside captions and section names (sometimes it succeeds to translate them correctly, sometimes not) - it is because the captions are collected via the LaTeX *.aux files. This is exactly that what you report about ShapeWipe figure.
Sometimes (fortunately rare) on encountering some complicated construction latex2html can loose opening or closing brace, and then the rest of the translation can be corrupted. Sometimes it can be difficult to find the right place which is responsible for that (try sequentially to comment/uncomment parts of document to localize the problem).
Your reported problem of not reverted back font change may be some of this sort, such problems with font switching in latex2html are known.

On Glossary: unlike Index, Glossary is not yet implemented in latex2html at all. Don't do anything with Glossary yet. I think, after you basically finish adjustment of your latex2html environment, I'll refetch the updated manual from git, and then mock up with Glossary somehow. Most likely, I'll end up with the implementation of the Glossary style for latex2html, and we will have it.

When trying to figure out why something works under Fedora and works not under Ubuntu (or whatever), try to compare the latex2html system settings file l2hconf.pm (i wrote about in in my preceding note). Pay attention on the tools and their paths (search for example $PDFCROP, $PPMTOGIF, etc.)
PhyllisSmith

PhyllisSmith

2020-12-19 02:55

manager   ~0004430

Update: using Fedora which is often different in some aspects then the debian/ubuntu base O/S versions. I have not sent a logfile because I am not totally stuck yet and need to learn how to handle future problems too.

When using "book" in CinelerraGG_Manual.tex all that was created was images.tex but no images.pdf or images-crop.pdf and images.tex looked good. Eventually I decided to switch back to "memoir" and then visually spot checked each page and compared it to the HTML manual Georgy created. It seemed mostly the same in looks. I noted one difference of concern (that I plan on checking out tomorrow) -- the footnotes did not come up with numbers but just a triangle-looking thing. But all of the images, including the pdf ones, showed up and all of the math equations (frac) were correctly translated. And images.tex and images.pdf were created with images.pdf having about 45 images in it. However, there was no images-crop.pdf file and yet nothing obvious looked bad in the end result HTML version.

The "book" version has a difference from both the PDF manual and the "memoir" HTML version in the Shuttle key default arrangement -- it is missing the lines above/below the key layout.

Both the "book" and "memoir" versions had 1 problem when using symbols for a figure that I have since just changed and checked into GIT (it is too trivial to spend a lot of time figuring out what went wrong) .
1) Expanders for Plugin Subtrees as in:
Effects/Transitions or Audio Effects/Transitions. You can not sort once an expansion is in effect (figure 10.11$$,$&rtri#triangleright;$ = expander; "-" = options).
2) Shape Wipe (for "memoir" only) as in:
Example of the Shape Wipe $\rightarrow$ Star

Another problem both now have is the list of the Shape Wipes all of a sudden switch to Bold font whereas the PDF version does not. My guess is that it is because "asimetric" should really be spelled "asymetric" in english (smiley face here).

And last the "Glossary" in both does not have its own section but is stuck on the end of Armandux Use Case. The index does work very well in the HTML version though.

@Andrea_Paz
I also checked in all of the changes you made to add more index entries.
sge

sge

2020-12-18 14:35

reporter   ~0004429

@PhyllisSmith
This seems that generation of images in your installation does not work at all. Please try the following.

1. Clean the HTML directory (latex2html tries to cache images and the CSS file, so without cleaning you may not be able to reproduce the fresh run).

rm -rf CinelerraGG_Manual

2. Translate manually with the modified options. '-nouse_dvipng -image_type gif' yields some more diagnostics and temporaries for problem analysis. Piping the output into a logfile can give additional info.

latex2html -html_version 4.0,math -use_pdftex -nouse_dvipng -image_type gif -nofootnode -split +3 -link 3 -bottom_navigation -local_icons -t 'Cinelerra-GG Infinity' CinelerraGG_Manual.tex |& tee logfile

3. In the resulting CinelerraGG_Manual directory there should appear the files images.tex, images.pdf, and images-crop.pdf. The former is exactly that LaTeX source from which images are actually generated. The second is the PDF file with the images, exactly one image per PDF page. And the latter is PDF file where each page is cropped to contain the image and an optional marker for the determination of the exact location of image baseline.

If images.tex does not exist (or does not resemble a legal LaTeX document), then latex2html itself has worked incorrectly.

If images.tex looks OK but images.pdf doesn't, most likely it means that pdflatex cannot translate it for some reason.

If images.pdf is OK but images-crop.pdf isn't, it means that pdfcrop did not work.

If images-crop.pdf contains about 50 images, but still no images named 'img??.gif' then either gs (the GhostScript interpreter), or some of image converters from the Netpbm package does not work.

You can send me:

a) the logfile from the latex2html run
b) the three images*.{tex,pdf} files, if any
c) the configfile <latex2html install directory>/l2hconf.pm (/usr/local/lib/latex2html/l2hconf.pm provided that latex2html was installed in /usr/local/lib/latex2html)

and I can look what happens.

My email is: [email protected]
PhyllisSmith

PhyllisSmith

2020-12-18 03:15

manager   ~0004428

Last edited: 2020-12-18 03:28

View 3 revisions

@sge
More testing progress here. I have checked into GIT all of the Cinelerra_GG_Manual.diff.gz changes so that is no longer needed. And I have successfully created the CinelerraGG_Manual directory with all the files BUT in checking the results so far (only up to Camera and Projector in Windows chapter) I have 4 problems that I am still working on. Again, this could just be me and I am quite sure that I applied the latex2html patch.

1) none of the \frac statements seem to work and I just end up with that statement. For example in Plugins.tex Title:
+ increases the size by ${\frac{{5}}{{4}}}$, - decreases ${\frac{{4}}{{5}}}$ or use a number > 0 but less than 2048

2) tikzpicture seems to not work.
So for example in Snapshot / Grapshot instead of the image, I have:
\begin{tikzpicture}[scale=1...{reticle.png}}; \end{tikzpicture}

3) on the first page I ended up with:
\includegraphics[width=0.1\linewidth]{.././images/cin-logo}

4) The 3 pdf files in Windows.tex do not show up but just the original statement.

All 4 look good in the HTML version supplied by you that is on the website. I have not yet had sufficient time to diligently figure this out yet but will try tomorrow.

sge

sge

2020-12-16 16:02

reporter   ~0004427

@PhyllisSmith
While translating document, latex2html always prints a couple of error/warning messages like that 'No implementation found for some style', or 'Unknown command', or whatever. Such messages should not alarm you as long as the translation result looks adequate. The standard reaction of latex2html on an unrecognized command or environment is trying to feed the unknown fragment to LaTeX to get an image (tikz or a complicated math, for example). Usually such workarounds succeed and the result looks good despite warnings about unrecognized constructs.
PhyllisSmith

PhyllisSmith

2020-12-16 03:49

manager   ~0004426

@sge
After following the instructions (without the latex2html patch yet), I managed to create an HTML version -- at least with errors that I caused. With Andrea's jpg-to-png changes that I checked into latex GIT today, rename-pngs can now be eliminated. Tomorrow I will apply the latex2html patch using the GITHUB version but I have to be careful to know what I am doing first in case I make a mistake. If all goes well then at some point as Georgy suggested the files html.sty, translate_manual, and .latex2html-init should be checked into git for ease of use. This is GREAT and the instructions are so easy to follow now that Georgy has done all of the hard work for us.
PhyllisSmith

PhyllisSmith

2020-12-15 18:46

manager   ~0004425

@Andrea_Paz
In order to at least get rid of known JPEG images that are marked as PNGs (listed in rename-pngs and below), if you have time could you remake these as real pngs? For example, if you type "file plugin.png" you will see it says it is a JPEG file. I can do the two-monitor ones and other ones if necessary though.

alt-ctrl.png
auto.png
capture01.png
channels01.png
channels02.png
channels03.png
hue_wheel.png
info_asset_details.png
overlays_list2.png
plugin.png
recording04.png
remote01.png
remote03.png
scale01.png
title05.png
two-monitors02.png
two-monitors03.png
videoscope04.png
volume_meter.png

I am still working on following Georgy's instructions so that I can re-create the HTML version at the same time as updating the PDF version.
sge

sge

2020-11-25 13:41

reporter   ~0004373

Daniel Gildea, current maintainer of latex2html, confirmed that he has included my changes in the master branch of the translator. So, next year it should not be necessary to patch latex2html for translation of Cinelerra manual any more.
sge

sge

2020-11-24 16:27

reporter   ~0004372

@Andrea_Paz: yes, it is quite possible to integrate HTML manual in the CinGG help, see an example in BT540.
Sam

Sam

2020-11-23 20:56

administrator   ~0004371

This is great news! Really great work Georgy. I'm delighted with your creative power.

I welcome to have the manual as HTML too. On the webserver we have enough space to realize everything. I will check next weekend how we can integrate it on the server. But I will use my test server first before I use it on the live server.
Andrea_Paz

Andrea_Paz

2020-11-23 18:45

manager   ~0004370

Great job.
There is also pending work to turn the manual into asciidoc, but it is too early to know anything.
Let's hear Sam's opinion for the inclusion in the website.
Is it possible to integrate it in the help of CinGG?
PhyllisSmith

PhyllisSmith

2020-11-23 17:35

manager   ~0004369

@sge
This is GREAT news! I will have to study your steps because several of us frequently make small changes so will have to know how to keep both versions up to date. THANKS !
sge

sge

2020-11-23 15:47

reporter  

CinelerraGG_Manual.diff.gz (21,083 bytes)

Issue History

Date Modified Username Field Change
2020-11-23 15:47 sge New Issue
2020-11-23 15:47 sge File Added: CinelerraGG_Manual.diff.gz
2020-11-23 17:35 PhyllisSmith Assigned To => PhyllisSmith
2020-11-23 17:35 PhyllisSmith Status new => acknowledged
2020-11-23 17:35 PhyllisSmith Note Added: 0004369
2020-11-23 18:45 Andrea_Paz Note Added: 0004370
2020-11-23 20:56 Sam Note Added: 0004371
2020-11-24 16:27 sge Note Added: 0004372
2020-11-25 13:41 sge Note Added: 0004373
2020-12-15 18:46 PhyllisSmith Note Added: 0004425
2020-12-16 03:49 PhyllisSmith Note Added: 0004426
2020-12-16 16:02 sge Note Added: 0004427
2020-12-18 03:15 PhyllisSmith Note Added: 0004428
2020-12-18 03:28 PhyllisSmith Note Edited: 0004428 View Revisions
2020-12-18 03:28 PhyllisSmith Note Edited: 0004428 View Revisions
2020-12-18 14:35 sge Note Added: 0004429
2020-12-19 02:55 PhyllisSmith Note Added: 0004430
2020-12-19 06:55 sge Note Added: 0004431
2020-12-23 22:54 PhyllisSmith Note Added: 0004434
2020-12-24 02:50 PhyllisSmith Note Edited: 0004434 View Revisions
2020-12-24 16:48 sge Note Added: 0004436
2021-01-03 14:24 sge File Added: latex2html-2020.2.diff2.gz
2021-01-03 14:24 sge File Added: latex2html-201224.diff.gz
2021-01-03 14:24 sge File Added: CinelerraGG_Manual-201224.diff.gz
2021-01-03 14:24 sge Note Added: 0004447
2021-01-07 00:25 PhyllisSmith Note Added: 0004484
2021-01-07 01:59 Sam Note Added: 0004485
2021-01-07 17:43 sge Note Added: 0004488
2021-01-07 18:11 PhyllisSmith Note Added: 0004489
2021-01-07 18:12 PhyllisSmith Note Edited: 0004489 View Revisions
2021-01-07 18:13 PhyllisSmith File Added: must_be_me.png
2021-01-07 18:13 PhyllisSmith Note Added: 0004490
2021-01-08 17:31 sge Note Added: 0004491
2021-01-09 23:20 PhyllisSmith Note Added: 0004494
2021-01-10 17:18 sge Note Added: 0004496
2021-01-10 22:43 PhyllisSmith Note Edited: 0004494 View Revisions
2021-01-10 22:46 PhyllisSmith Note Added: 0004502
2021-01-11 09:27 Andrea_Paz Note Added: 0004503
2021-01-11 15:48 sge File Added: glossaries.tar.gz
2021-01-11 15:48 sge Note Added: 0004504
2021-01-11 16:56 Andrea_Paz Note Added: 0004505
2021-01-11 18:49 PhyllisSmith Note Added: 0004506
2021-01-12 15:51 sge File Added: nomencl.perl
2021-01-12 15:51 sge Note Added: 0004508
2021-01-13 05:13 PhyllisSmith Note Added: 0004509
2021-01-13 14:07 sge File Added: nomencl-nobold.perl
2021-01-13 14:07 sge Note Added: 0004510
2021-01-15 21:29 PhyllisSmith Note Added: 0004518